cif-validate(1)

NAME
cif-validate - Validate the content of a mmCIF file

SYNOPSIS
cif-validate [OPTION] file [output-file]

DESCRIPTION
The mmCIF format is not really new, but the implementation of this format has been taken up slowly. Unfornately, the knowledge of the ins and outs of the format are still poorly understood and many files written contain errors.

cif-validate can be used to help debug the creation of mmCIF files. By default it uses the dictionary provided by libcifpp (which may be updated automatically, depending on your installion). But you can also specify your own dictionary file using the --dict option.

OPTIONS

--dict=<file>
    The mmCIF dictionary file to use. The default is mmcif_pdbx.dic.

    Note that you can specify multiple dictionaries by concatenating their names separated by a semicolon, like this: --dict='mmcif_pdbx.dic;dssp-extension.dic'

--validate-links
    Validate all links. Will output information about missing parent category items.

--strip
    Strip all categories and/or items that are not valid according to the specied dictionary. This implies the --print option.

--verbose,-v
    Be more verbose, useful to diagnose validation errors. Can be specified multiple times to increase verbosity level.

--print
    Print a formatted version of the input file to stdout or to output-file if specified.

AUTHOR
Written by Maarten L. Hekkelman <maarten@hekkelman.com>

REPORTING BUGS
Report bugs at https://github.com/PDB-REDO/cif-tools/issues

SEE ALSO
cif-diff, cif-grep, cif-merge, cif2pdb, mmCQL, pdb2cif.